Subject: Trainer Candidate - Sukhmeet Singh
From: Sukhmeet Singh <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 5 Apr 2021 08:03:01 -0400

| | Tech Support Test

Name | Sukhmeet Singh
E-mail | [email-masked]
Phone Number | (91) 9582020932
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I can commute only using Metro
Where do you currently live (area) | West delhi

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | Barclay | Quality analyst | 20/12/2019 | 50000
Previous Employer 1 | | | |
Previous Employer 2 | | | |

If Selected, how much time do you need to join? | Immediately
Please briefly describe your work experience specifically in training? | I have trained new joiners and experienced agents on customer care skills and process knowledge
Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? | Yes
Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team. | I was given a team of 13 people who were underperforming. I listened to their calls and gave them real time feedback through live barging and it helper them improve drastically. This situation was difficult as each and every team member was an underperformer so i had to be on my toes throughout the journey
What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences) | As per me if you are able make the customer feel happy and satisfied then it will be great customer service as they say people forget what you said to them but they don’t forget how you made them feel.
What according to you makes you a good candidate for this position? | I have handled a lot of teams previously and also i have worker as a quality analyst for 3 years with one of the leading brands in the financial industry. The skills this role requires, are all i have and i am very confident of doing a more than good job.
On a scale of 1 - 5 please rate your fluency in spoken English | 5

| |